pools
7 operations.
GET /pools
ts
proxmox.pools.$get()List pools or get pool configuration.
Returns an array of object.
| Parameter | Type | Required | Notes |
|---|---|---|---|
poolid | string | format pve-poolid | |
type | qemu | lxc | storage |
POST /pools
ts
proxmox.pools.$post()Create new pool.
Returns nothing.
| Parameter | Type | Required | Notes |
|---|---|---|---|
comment | string | ||
poolid | string | yes | format pve-poolid |
PUT /pools
ts
proxmox.pools.$put()Update pool.
Returns nothing.
| Parameter | Type | Required | Notes |
|---|---|---|---|
allow-move | boolean | Allow adding a guest even if already in another pool. The guest will be removed from its current pool and added to this one. — default 0 | |
comment | string | ||
delete | boolean | Remove the passed VMIDs and/or storage IDs instead of adding them. — default 0 | |
poolid | string | yes | format pve-poolid |
storage | string | List of storage IDs to add or remove from this pool. — format pve-storage-id-list | |
vms | string | List of guest VMIDs to add or remove from this pool. — format pve-vmid-list |
DELETE /pools
ts
proxmox.pools.$delete()Delete pool.
Returns nothing.
| Parameter | Type | Required | Notes |
|---|---|---|---|
poolid | string | yes | format pve-poolid |
GET /pools/{poolid}
ts
proxmox.pools.$(poolid).$get()Get pool configuration (deprecated, no support for nested pools, use 'GET /pools/?poolid={poolid}').
Returns object.
| Parameter | Type | Required | Notes |
|---|---|---|---|
poolid | string | yes | format pve-poolid |
type | qemu | lxc | storage |
PUT /pools/{poolid}
ts
proxmox.pools.$(poolid).$put()Update pool data (deprecated, no support for nested pools - use 'PUT /pools/?poolid={poolid}' instead).
Returns nothing.
| Parameter | Type | Required | Notes |
|---|---|---|---|
allow-move | boolean | Allow adding a guest even if already in another pool. The guest will be removed from its current pool and added to this one. — default 0 | |
comment | string | ||
delete | boolean | Remove the passed VMIDs and/or storage IDs instead of adding them. — default 0 | |
poolid | string | yes | format pve-poolid |
storage | string | List of storage IDs to add or remove from this pool. — format pve-storage-id-list | |
vms | string | List of guest VMIDs to add or remove from this pool. — format pve-vmid-list |
DELETE /pools/{poolid}
ts
proxmox.pools.$(poolid).$delete()Delete pool (deprecated, no support for nested pools, use 'DELETE /pools/?poolid={poolid}').
Returns nothing.
| Parameter | Type | Required | Notes |
|---|---|---|---|
poolid | string | yes | format pve-poolid |